// file: $USFS/class/image_analysis/v1.0/imaga_fract_10.cc
//

// isip include files
//
#include "image_analysis.h"

#include "image_analysis_constants.h"
#include <integral_constants.h>

// method: fract_init_cc
//
// arguments: none
//
// return: a logical_1 value indicating status
//
// this method intializes the variables for the fractal dimension
//
logical_1 Image_analysis::fract_init_cc() {
  
  // initialize the parameters
  //
  fract_t_dimred_d = 0;
  fract_t_dimgrn_d = 0;
  fract_t_dimblu_d = 0;
  
  // reset the counters
  //
  fract_r_nimages_d = 0;
  fract_r_npxls_d = 0;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}

