// file: $USFS/class/image_analysis/v1.0/imaga_proc_3.cc
//

// isip include files
//
#include "image_analysis.h"

#include "image_analysis_constants.h"
#include <integral_constants.h>

// method: update_cc
//
// arguments:
//  float_8& sbe_a: (output) the image's sbe value
//  char_1* image_fname_a: (input) the image's filename
//
// return: a logical_1 value indicating the status
//
// this method tests the algorithm to be implemented and calls the
// corresponding method
//
logical_1 Image_analysis::update_cc(float_8& ,
				    char_1* image_fname_a) {

  // provide some debugging information
  //
  if (debug_level_d > ISIP_DEBUG_DETAILED) {
    fprintf(stdout, "<%s> algorithm: %ld image_filename: %s\n",
	    "Image_analysis::update_cc", algorithm_d, image_fname_a);
  }
  
  // exit gracefully
  //
  return ISIP_FALSE;
}


